Subject: Re: [PATCH] git-gui: Help identify aspell version on Windows too

From: Johannes Sixt <[email-masked]>
Date: Fri, 26 Sep 2008 17:06:53 +0200

Shawn O. Pearce schrieb:
> Johannes Sixt <[email-masked]> wrote:
>> My situation is this: I fire up git-gui, and because I have some stale
>> .git/GITGUI_MSG file, the commit message box is not empty. Aspell begins
>> its work, and git-gui correctly marks spelling mistakes in the first line.
>> Even if I type new text, delete old text, or change the whole text by
>> clicking "Amend", no new spelling mistakes are marked for the whole session.
> 
> Hmm.  Sounds to me like aspell crashes and dies after a while.
> 
> When aspell terminates on its own git-gui doesn't try to restart it.
> I've never seen it abort on my Mac, or my Linux systems.  Or even
> on Windows when I was using the Cygwin version of aspell.

No, it does not abort. It's still running, but sitting there idly.

-- Hannes